Summary:	Linux enhanced port of WinPopUp.
Name:		LinPopUp
Version:	1.1.1
Release:	4
Copyright:	GPL
Group:		Networking
URL:		http://www.littleigloo.org
Source0:	ftp://littleigloo.org/pub/linpopup/%{name}-%{version}.src.tar.gz
Source1:	linpopup.desktop
Source2:	linpopup.kdelnk
Source3:	linpopup.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>
PreReq:		samba

%description
LinPopUp is a Xwindow graphical port of Winpopup,running over Samba. It
permits users to communicate with a windows computer that runs Winpopup,
sending or receiving message. (It also provides an alternative way to
communicate between Linux computers that run Samba).  Please note that
LinPopUp is not only a port, as it includes several enhanced features. Also
note that it requires to have Samba installed to be functionnal.

%prep
%setup -q -n %{name}-%{version}

%build
cd src
make DESTDIR=%{prefix} \
	DATA_DIR=/var/lib/linpopup \
	%{name} docs 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{prefix}/bin
mkdir -p %{buildroot}/%{prefix}/man/man1
install -D -m 644 %{_sourcedir}/linpopup.kdelnk \
	%{buildroot}/%{prefix}/share/applnk/Utilities/
install -D -m 644 %{_sourcedir}/linpopup.desktop \
	%{buildroot}/%{prefix}/share/gnome/apps/Utilities/
install -D -m 644 %{_sourcedir}/linpopup.png \
	%{buildroot}/usr/share/pixmaps/
cd src
make DESTDIR=%{buildroot}/%{prefix} \
	DATA_DIR=%{buildroot}/var/lib/linpopup \
	install

%pre
if [ ! -e /var/lib/linpopup ]; then
	mkdir -m0755 /var/lib/linpopup
fi
if [ ! -f /var/lib/linpopup/messages.dat ]; then
	touch /var/lib/linpopup/messages.dat
	chmod 0666 /var/lib/linpopup/messages.dat
	chgrp nobody /var/lib/linpopup/messages.dat
fi
echo 
echo ========================================================================
echo I am now modifying /etc/smb.conf, if Samba begins to misbehave or fails
echo to restart after the installation of this package, manually look through
echo the file.
echo
echo I am adding the following to the end of /etc/smb.conf:
echo
echo >> /etc/smb.conf
echo '[global]'
echo '[global]' >> /etc/smb.conf
echo 'message command = '%{prefix}/bin/%{name}' "%f" "%m" %s; rm %s'
echo 'message command = '%{prefix}/bin/%{name}' "%f" "%m" %s; rm %s' >> /etc/smb.conf
echo 
echo ========================================================================
echo
/etc/rc.d/init.d/smb restart

%postun
if [ -e /var/lib/linpopup ]; then
rm -Rf /var/lib/linpopup
fi
if [ -e %{prefix}/share/%{name} ]; then
	rm -Rf %{prefix}/share/%{name}
fi

%files
%doc AUTHORS THANKS BUGS INSTALL TODO COPYING README MANUAL ChangeLog screenshots
%{prefix}/bin/*
%{prefix}/man/*/*
%{prefix}/share/LinPopUp
%{prefix}/share/applnk/*/*
%{prefix}/share/gnome/*/*/*
%{prefix}/share/pixmaps/*

%clean
rm -rf %{buildroot}

%changelog
* Sun Jan 02 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- made relocatable
- cleaned up spec file
- simplified build somewhat

* Mon Dec 20 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- fixed typo in specfile

* Sun Dec 19 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- made use of a build root
- made rpm modify /etc/smb.conf
- added linpopup.desktop and linpopup.kdelnk

* Mon Nov 1 1999 Jean-Marc Jacquet <jm@littleigloo.org>
- original rpm
